<template>
	<!-- 按钮点击动画 暂时去掉了时间 -->
	<view @click="handleClick">
		<slot />
	</view>
</template>
<!--  父组件传值使用 :delay="500" -->
<script setup>


// 定义延迟时间的prop，默认值300ms
const props = defineProps({
	delay: {
		type: Number,
		default: 0
	}
})

const emits = defineEmits(['aclick'])

function handleClick() {
	setTimeout(() => {
		emits('aclick')
	}, props.delay); // 使用props.delay作为延迟时间
}
</script>

<style>

</style>